<?php

// phpcs:disable Wptopr.NamingConventions.NamespaceName.TooLong
namespace Wptopr\WP\SEO\User_Meta\Framework\Additional_Contactmethods;

use Wptopr\WP\SEO\User_Meta\Domain\Additional_Contactmethod_Interface;

/**
 * The Facebook contactmethod.
 */
class Facebook implements Additional_Contactmethod_Interface {

	/**
	 * Returns the key of the Facebook contactmethod.
	 *
	 * @return string The key of the Facebook contactmethod.
	 */
	public function get_key(): string {
		return 'facebook';
	}

	/**
	 * Returns the label of the Facebook field.
	 *
	 * @return string The label of the Facebook field.
	 */
	public function get_label(): string {
		return \__( 'Facebook profile URL', 'wordpress-seo' );
	}
}
